[package]
name = "io_lcd"
version = "0.1.0"
authors = ["Alejandro Alborno, Vittoria Concetta Pardu, Hervé Lillaz"]
edition = "2021"
resolver = "2"

[profile.release]
opt-level = "s"

[profile.dev]
debug = true
opt-level = "z"

[features]
pio = ["esp-idf-sys/pio"]

[dependencies]
esp-idf-sys = { version = "0.33.0", features = ["binstart"] }
esp-idf-hal = "0.41.0"
esp-idf-svc = "0.46.0"
anyhow = "1.0.71"

[build-dependencies]
embuild = "0.31.2"
